local FC = ...

FC:register({
	DataType = "EVENT",
	Id = "WELCOME_EVENT",
	Title = "WELCOME_EVENT_TITLE",
	Description = "WELCOME_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {
		{
			ShortName = "WELCOME_ACCEPT",
			EventActionList = {	
				{
					DataType = "EVENT_ACTION_GIVE_REWARD",
					QuestRewardList = {},
					OnClickCallback = { 
						DataType = "EVENT_CALLBACK_TRIGGER_EVENT",
						Event = "WELCOME2_EVENT",
						Delay = 0
					}
				}
			}
		
		}
	}
})



FC:register({
	DataType = "EVENT",
	Id = "WELCOME2_EVENT",
	Title = "WELCOME2_EVENT_TITLE",
	Description = "WELCOME2_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList= {
		{
			ShortName = "WELCOME2_ACCEPT",
			EventActionList = {
				{	
					DataType = "EVENT_ACTION_GIVE_REWARD",
					QuestRewardList = {},
					OnClickCallback = { 
						DataType = "EVENT_CALLBACK_TRIGGER_EVENT",
						Event = "WELCOME3_EVENT",
						Delay = 0
					}
				}
			}
		}
	}
})

FC:register({
	DataType = "EVENT",
	Id = "WELCOME3_EVENT",
	Title = "WELCOME3_EVENT_TITLE",
	Description = "WELCOME3_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {{
	ShortName = "WELCOME3_ACCEPT",
	EventActionList = {{	
		DataType = "EVENT_ACTION_GIVE_REWARD",
		QuestRewardList = {},
		OnClickCallback = { 
			DataType = "EVENT_CALLBACK_TRIGGER_EVENT",
			Event = "WELCOME4_EVENT",
			Delay = 0
		},
		}}
		}}
})

FC:register({
	DataType = "EVENT",
	Id = "WELCOME4_EVENT",
	Title = "WELCOME4_EVENT_TITLE",
	Description = "WELCOME4_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {{
		ShortName = "WELCOME4_ACCEPT",
	EventActionList = {{	
		DataType = "EVENT_ACTION_GIVE_REWARD",
		QuestRewardList = {},
		OnClickCallback = { 
			DataType = "EVENT_CALLBACK_TRIGGER_EVENT",
			Event = "WELCOME5_EVENT",
			Delay = 0
		},
		}}
		}}
})

FC:register({
	DataType = "EVENT",
	Id = "WELCOME5_EVENT",
	Title = "WELCOME5_EVENT_TITLE",
	Description = "WELCOME5_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {{
	ShortName = "WELCOME5_ACCEPT",
	EventActionList = {{	
		DataType = "EVENT_ACTION_GIVE_REWARD",
		QuestRewardList = {},
		}}
		}}
})

FC:register({
	DataType = "EVENT",
	Id = "WELCOME6_EVENT",
	Title = "WELCOME6_EVENT_TITLE",
	Description = "WELCOME6_EVENT_DESC",
	PanelVisual = "ILLUSTRATION_ESTATE_KING",
	Delay = 0,
	ConditionList = {
		{
		DataType = "EVENT_CONDITION_BUILDING_BUILT",
		AssetBuilding = "BUILDING_VILLAGE_CENTER"
		}
	},
	ChoiceList = {{
	ShortName = "WELCOME6_ACCEPT",
	EventActionList = {{	
		DataType = "EVENT_ACTION_GIVE_REWARD",
		QuestRewardList = {},
		}}
		}}
})